Bug 62613 - Unwanted spacing in DOC, table imported on another page (9 pages in MSO, 12 pages in LO) but wrong even in MSO if saved as DOCX
Summary: Unwanted spacing in DOC, table imported on another page (9 pages in MSO, 12 p...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.5.6.2 release
Hardware: All All
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC-Tables
  Show dependency treegraph
 
Reported: 2013-03-21 21:09 UTC by Andreas Wagner
Modified: 2022-01-30 03:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample document (302.50 KB, application/msword)
2013-03-21 21:09 UTC, Andreas Wagner
Details
sample doc with auto-detected content type (302.50 KB, application/msword)
2013-03-26 19:06 UTC, Andreas Wagner
Details
Sample DOC saved in MSO as PDF (209.65 KB, application/pdf)
2018-07-19 10:04 UTC, Timur
Details
Sample compared in MSO as DOC and DOCX (133.22 KB, image/png)
2020-01-30 16:59 UTC, Timur
Details
Sample DOC saved in MSO 2013 as DOCX (208.66 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-01-30 17:02 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Wagner 2013-03-21 21:09:25 UTC Comment hidden (obsolete)
Comment 1 Linus Drumbler 2013-03-26 16:11:36 UTC Comment hidden (obsolete)
Comment 2 Andreas Wagner 2013-03-26 19:06:32 UTC
Created attachment 77075 [details]
sample doc with auto-detected content type

I have reattached the doc with auto-detected content type. Thanks for looking at this.
Comment 3 Marc Kaulisch 2013-04-16 20:48:57 UTC
I can confirm this behaviour on Windows 8 with LibreOffice 4.0.2.2.
My guess is that the table format of the .doc file is not correctly taken over into LibreOffice. There is one text that spans over a page that is not breaking at a page although the setting is set to page break even within cells.

I saved the file as .docx with MS Word 2010 and opened this file in LibreOffice. The new page count is 11 and not 13 anymore ;-)

If I save this files as .odt in MS Word 2010, then it is correctly displayed in LibreOffice.
Comment 4 Marc Kaulisch 2014-06-27 11:23:06 UTC
I can still reproduce this with LO 4.3.0.1
In Word 2010 it has 9 pages in LO 12 pages.
Looks like that tables that span more than one page - although the setting says break across pages within fields - are put at the top of the next page
It does not even matter if I save this file as .odt

But more interesting behaviour is if I save this file in LO as .docx (from the .doc) and reopen it - the tables are screwed up and the document has 26 pages...
Comment 5 Marc Kaulisch 2014-08-11 11:38:30 UTC Comment hidden (obsolete)
Comment 6 Marc Kaulisch 2014-11-24 08:48:42 UTC Comment hidden (obsolete)
Comment 7 Timur 2015-04-20 12:03:02 UTC Comment hidden (obsolete)
Comment 8 Marc Kaulisch 2015-06-26 10:29:18 UTC Comment hidden (obsolete)
Comment 9 Buovjaga 2015-06-26 10:33:52 UTC Comment hidden (obsolete)
Comment 10 Marc Kaulisch 2015-06-29 12:15:09 UTC Comment hidden (obsolete)
Comment 11 Alex Thurgood 2016-08-18 08:04:48 UTC Comment hidden (obsolete)
Comment 12 Alex Thurgood 2016-08-18 08:08:26 UTC Comment hidden (obsolete)
Comment 13 Timur 2017-06-16 08:25:36 UTC
(In reply to Timur from comment #7)
> This was never OK. In OO it was worse with 40 pages, but it was improved
> somewhere in LO 3.5.x. I'll mark as 3.5.6.2. because 3.5.7.2. is similar to
> current versions up to 4.5.0-dev.

LO had 12 pages up to 5.1. 5.2 and on to 6.0+ open with 19 pages. In Word 2010 it has 9 pages, as Mark wrote.
Comment 14 Timur 2018-07-19 10:04:22 UTC
Created attachment 143638 [details]
Sample DOC saved in MSO as PDF

libo-master~2018-07-19_05.23.09_LibreOfficeDev_6.2.0.0.alpha0_Win_x86 opens 12 pages. Guess Bug 118528 decreased from 19 to 12. 
So this bug remains to get proper reflow with 9 pages.
Comment 15 QA Administrators 2019-11-25 03:30:52 UTC Comment hidden (obsolete)
Comment 16 Timur 2019-11-25 06:43:14 UTC Comment hidden (obsolete)
Comment 17 Timur 2020-01-30 16:59:47 UTC
Created attachment 157543 [details]
Sample compared in MSO as DOC and DOCX

LO Writer master 7.0+ opens this DOC with 12 pages, unlike Word with 9.
But this is a nasty file. 
I tried to save as DOCX in MSO 2013 and reopen and DOCX is wrong, as shown on screenshot of page 2.
Comment 18 Timur 2020-01-30 17:02:59 UTC
Created attachment 157544 [details]
Sample DOC saved in MSO 2013 as DOCX

As a reference, attached sample DOC saved in MSO 2013 as DOCX
Comment 19 QA Administrators 2022-01-30 03:46:00 UTC
Dear Andreas Wagner,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug